summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rwxr-xr-xbootstrap.sh18
-rwxr-xr-xclean.sh6
3 files changed, 26 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..62840fe
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+acmetool
+.gopath
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..766183d
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+export GOPATH=`pwd`/.gopath
+
+echo -n "Fetching (go get) source ... "
+go get -d github.com/equinox0815/acme/cmd/acmetool
+echo "done."
+
+echo -n "Switching to correct branch ... "
+git -C $GOPATH/src/github.com/equinox0815/acme/cmd/acmetool co seperate-redirector > /dev/null 2>&1
+echo "done."
+
+echo -n "Building acmetool ... "
+export CGO_ENABLED=0
+go build -a github.com/equinox0815/acme/cmd/acmetool
+echo "done."
diff --git a/clean.sh b/clean.sh
new file mode 100755
index 0000000..9d285b3
--- /dev/null
+++ b/clean.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export GOPATH=`pwd`/.gopath
+
+rm -f acmetool
+rm -rf $GOPATH